Subject: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).

From: Leo Famulari <[email-masked]>
Date: Sun, 23 Aug 2020 21:05:01 -0400

On Sun, Aug 16, 2020 at 05:03:16PM +1000, Brendan Tildesley wrote:
> * gnu/packages/javascript.scm: (mathjax-bin): New variable

> +    (description "MathJax is a JavaScript display engine for LaTeX, MathML,
> +and AsciiMath notation that works in all modern browsers.  It requires no
> +plugins or software to be installed on the browser.  So the page author can
> +write web documents that include mathematics and be confident that readers will
> +be able to view it naturally and easily.
> +
> +The package is derived from not the true source but the built version of
> +MathJax 3 for distribution by upstream. This package should eventually be
> +replaced my a package built directly from the source at
> +https://github.com/mathjax/MathJax-src.")

I'm not really familiar with the state of JavaScript in Guix. However,
Guix generally only includes packages built from source.

Is this a case where the package has bene "minified"? Or, in what way is
not built from source?